# File hectospec/Scripts/hsetgain.cl
# By Doug Mink
# April 17, 2008

# Set gain correction to constants for HGAIN and HGAIN1

procedure hsetgain ()

string	gain1 = "1.000"	{prompt="Gain for amplifier 1"}
string	gain2 = "0.990"	{prompt="Gain for amplifier 2"}
string	gain3 = "0.969"	{prompt="Gain for amplifier 3"}
string	gain4 = "0.960"	{prompt="Gain for amplifier 4"}
bool	verbose = yes	{prompt="Remind user to reset HGAIN and HGAIN1"}

begin

    hgain1.gain1 = gain1
    hgain1.gain2 = gain2
    hgain1.gain3 = gain3
    hgain1.gain4 = gain4

    hgain.g1 = gain1
    hgain.g2 = gain2
    hgain.g3 = gain3
    hgain.g4 = gain4

    gaincorr.g1 = gain1
    gaincorr.g2 = gain2
    gaincorr.g3 = gain3
    gaincorr.g4 = gain4

    if (verbose) {
	print ("GAINCORR, HGAIN, and HGAIN1 will use gains of ",gain1,gain2,gain3,gain4)
	print ("Run hectospec.hresetgain to read gains from image headers")
	}

end

# Apr 14 2008	New task to set gain corrections in HGAIN and HGAIN1
# Apr 17 2008	Set GAINCORR parameters, too
