#!/data/oiropt/bin/nawk -f

{
if (substr($1,1,1) == "#") {
#    printf ("%s\n", $0)
    }
else if (NF > 6) {
    if ($3 ~ /^[A-Za-z0-9]*-[A-Za-z0-9]*$/) {
	n = split ($3, obj, "-")
	printf ("%d	%d %s_%s %s %s %d %d %8.3f %8.3f\n", $1, $2, obj[1],obj[2], $4, $5, $6, $7, $8, $9)
	}
    else if ($3 ~ /^[+-]*[0-9\.]*[0-9\.]*[DdEe][+-][0-9]*$/) {
	printf ("%d	%d %s_ %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    else if ($3 ~ /^[+-]*[0-9\.]*[0-9\.]*[0-9]*$/) {
	printf ("%d	%d %s_ %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    else {
	printf ("%d	%d %s %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    }
else if (NF > 4) {
    printf ("%d	%d %s %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6)
    }
else {
    printf ("%d	%d %s %d\n", $1, $2, $3, $4)
    }
}
# May 23 2005	Check for exponents (E-, e-, D-, d-) in target names
# Jul 11 2005	If not pure number, change - to _ in object name
# Aug 10 2005	Replace - in object name with _ so IRAF works correctly
# Jan  5 2005	Add test for number in name column; add _
# Aug  9 2006	Ignore lines with # in first column of first token
