# HREPORT -- Print processing keyword values for a list of images
# By Doug Mink, SAO/TDC
# April 4, 2007

procedure hreport (images)

string	images = ""	{prompt="Input multispec images to correct"}
bool deltemp = yes	{prompt="Delete temporary file (y or n)"}
bool verbose = yes	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Log each aperture (y or n)"}

begin
	bool vb, db, del
	file imin, templist
	string ims, tchar

	ims = images
	vb = verbose
	db = debug
	del = deltemp

#  Make temporary list of input files
	tchar = substr (ims,1,1)
        if (tchar == '@') {
	    templist = substr (ims,2,100)
	    }
	else {
	    templist = mktemp ("htranlist")
	    files (ims, >templist)
	    }
	if (db) {
	    print ("HREPORT: File names read from ",templist)
	    }

# Print processing keywords one file at a time
	list = templist
	while (fscan (list,imin) != EOF) {

	    hreport1 (imin, verbose=vb, debug=db)
	    }

	if (deltemp && tchar != '@') {
	    delete (templist)
	    }
end

# Apr  4 2007	New task
